Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 148707 - dev-db/pgadmin3-1.8.2 version bump
Summary: dev-db/pgadmin3-1.8.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 2 votes (vote)
Assignee: PgSQL Bugs
URL: http://www.pgadmin.org/
Whiteboard:
Keywords: EBUILD
: 155361 155539 156037 157189 160885 162106 170598 177877 178200 181053 186573 186581 187969 197114 224119 (view as bug list)
Depends on: 145884
Blocks:
  Show dependency tree
 
Reported: 2006-09-22 15:19 UTC by Federico Fissore
Modified: 2009-06-16 19:54 UTC (History)
28 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pgadmin3-1.6.0_beta1.ebuild (pgadmin3-1.6.0_beta1.ebuild,1.50 KB, text/plain)
2006-09-22 15:20 UTC, Federico Fissore
Details
pgadmin3 1.6.1 ebuild - modifeid from ealier version (pgadmin3-1.6.1.ebuild,1.69 KB, application/octet-stream)
2006-12-17 11:20 UTC, Lars Roland
Details
pgadmin patch to fix compilation on wxGTK 2.8 (pgadmin3-1.6.1-frmEditGrid.patch,2.64 KB, patch)
2006-12-17 11:22 UTC, Lars Roland
Details | Diff
pgadmin3 1.6.2 ebuild (pgadmin3-1.6.2.ebuild,1.58 KB, text/plain)
2007-02-24 17:39 UTC, Lars Roland
Details
New pgadmin3 ebuild : 1.6.3 compiling with wxGTK 2.8.3 (pgadmin3-1.6.3.ebuild,1.46 KB, text/plain)
2007-05-12 17:30 UTC, Cyrius
Details
build.log showing how it fails (build2.log,12.06 KB, text/plain)
2007-05-24 21:02 UTC, Federico Fissore
Details
emerge --info (emerge.info,3.49 KB, text/plain)
2007-05-24 21:03 UTC, Federico Fissore
Details
pgadmin3-1.8.2.ebuild (pgadmin3-1.8.2.ebuild,1.50 KB, text/plain)
2007-07-26 07:19 UTC, Federico Fissore
Details
version bump (pgadmin3-1.10.0_rc1.ebuild,1.30 KB, text/plain)
2009-06-16 19:54 UTC, Czeryna Karol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Federico Fissore 2006-09-22 15:19:59 UTC
here is the build I used to compile the latest and beta version of pgadmin3
Some considerations are:
* you need wxGTK-2.7. check bug #145884
* it seems the old configure patch is no more needed
* the ebuild does NOT create che icon in gnome menu
* I removed several things from the src_compile function, the most important of which is "need-wxwidgets unicode" as it breaks

I hope this could be helpful in some way. I had lots of problems compiling the 1.4 series and I was tired of using the 1.2.2 (the most recent that compiles successfully)
Comment 1 Federico Fissore 2006-09-22 15:20:56 UTC
Created attachment 97800 [details]
pgadmin3-1.6.0_beta1.ebuild
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2006-09-22 15:27:05 UTC
Well, this can't go in until Bug 145884 is fixed.
Comment 3 Mart Raudsepp gentoo-dev 2006-09-22 18:01:50 UTC
(In reply to comment #0)
> * the ebuild does NOT create che icon in gnome menu

There should be an icon in the menus, however that's achieved (make install installs it, or ebuild).

> * I removed several things from the src_compile function, the most important of
> which is "need-wxwidgets unicode" as it breaks

You can't just remove need-wxwidgets call, as that will break badly as well.
However at this point I can symphatize, as the eclass probably doesn't handle 2.7 at all. Non-unicode is done (at least for 2.6) with "need-wxwidgets gtk2", iirc

Stable wxWidgets-2.8.0 is planned upstream for around November to get the Mac port in Mac OSX Leopard. If that works out, we can wait just till then, or a bit less for p.mask packages once the version handling of wx is worked out as discussed on the other bug.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2006-11-16 07:39:30 UTC
*** Bug 155361 has been marked as a duplicate of this bug. ***
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2006-11-17 23:55:12 UTC
*** Bug 155539 has been marked as a duplicate of this bug. ***
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-11-23 08:56:48 UTC
*** Bug 156037 has been marked as a duplicate of this bug. ***
Comment 7 Jakub Moc (RETIRED) gentoo-dev 2006-12-05 01:43:48 UTC
*** Bug 157189 has been marked as a duplicate of this bug. ***
Comment 8 Lars Roland 2006-12-17 11:20:53 UTC
Created attachment 104231 [details]
pgadmin3 1.6.1 ebuild - modifeid from ealier version
Comment 9 Lars Roland 2006-12-17 11:22:18 UTC
Created attachment 104232 [details, diff]
pgadmin patch to fix compilation on wxGTK 2.8

For more info about this patch see http://www.mail-archive.com/pgadmin-hackers@postgresql.org/msg08935.html
Comment 10 Lars Roland 2006-12-17 11:24:33 UTC
Uploaded a modified ebuild for 1.6.1 along with a patch needed to compile it - works with wxGTK-2.8.0.ebuild from #145884 (created by modifying http://bugs.gentoo.org/attachment.cgi?id=101484)
Comment 11 Jakub Moc (RETIRED) gentoo-dev 2007-01-08 14:07:02 UTC
*** Bug 160885 has been marked as a duplicate of this bug. ***
Comment 12 ruckc 2007-01-08 14:23:08 UTC
I was able to modify the 1.4.2 ebuild and change the wxGTK dependancy and it compiled and runs perfect.  I also pulled the current wxGTK-2.8.0 ebuild from #145884.

I am also running with unicode enabled and it handles just fine.

Note, if you reopen this bug instead of resolved later, people wouldn't keep creating new ones as the default bugzilla search doesn't search resolved bugs.
Comment 13 Jakub Moc (RETIRED) gentoo-dev 2007-01-08 22:27:56 UTC
(In reply to comment #12)
> Note, if you reopen this bug instead of resolved later, people wouldn't keep
> creating new ones as the default bugzilla search doesn't search resolved bugs.

Sorry, but bug's state is not under democratic control but it should reflect the real state of the bug; read the bugzilla help if you don't know how to search for resolved/duplicate bugs.
 

Comment 14 Jakub Moc (RETIRED) gentoo-dev 2007-01-14 21:21:13 UTC
*** Bug 162106 has been marked as a duplicate of this bug. ***
Comment 15 Cyrius 2007-01-14 21:33:48 UTC
Oups,

  I've done a search.... but nothing. Sorry for the duplicate.

  ok, i had a problem in the configure script with the --enable-unicode parameter.
  So, in more of your scripts, i added a patch to solve this. I don't know if it's relevant. But if you encounter the same problem, have a look to the duplicated bugg i created : 162106 and consider to integrate this patch to this bugg. 

Happy new year all
Comment 16 Lars Roland 2007-02-24 17:39:00 UTC
Created attachment 111138 [details]
pgadmin3 1.6.2 ebuild

Works un-patched for me (AMD64)
Comment 17 Jakub Moc (RETIRED) gentoo-dev 2007-03-12 16:42:33 UTC
*** Bug 170598 has been marked as a duplicate of this bug. ***
Comment 18 Jakub Moc (RETIRED) gentoo-dev 2007-05-10 05:57:45 UTC
*** Bug 177877 has been marked as a duplicate of this bug. ***
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2007-05-12 14:38:42 UTC
*** Bug 178200 has been marked as a duplicate of this bug. ***
Comment 20 Cyrius 2007-05-12 17:30:36 UTC
Created attachment 119025 [details]
New pgadmin3 ebuild : 1.6.3 compiling with wxGTK 2.8.3

Don't forget to apply the patch from bugg 178176 to wxwidgets.eclass
Comment 21 Federico Fissore 2007-05-24 21:02:32 UTC
Created attachment 120218 [details]
build.log showing how it fails

it fails. attached is the initial and final part of the build log
Comment 22 Federico Fissore 2007-05-24 21:03:24 UTC
Created attachment 120219 [details]
emerge --info

and here's my emerge --info
Comment 23 Łukasz Damentko (RETIRED) gentoo-dev 2007-06-06 09:55:02 UTC
*** Bug 181053 has been marked as a duplicate of this bug. ***
Comment 24 Luca 2007-06-13 14:27:48 UTC
Hi to all!
With 1.6.3 i got this error:
configure: error: Your wxWidgets installation cannot support pgAdmin in the selected configuration. This may be because it was configured without the --enable-unicode option, or the combination of dynamic/static linking and debug/non-debug libraries selected did not match any installed wxWidgets libraries.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/dev-db/pgadmin3-1.6.3/work/pgadmin3-1.6.3/config.log

!!! ERROR: dev-db/pgadmin3-1.6.3 failed.
Call stack:
  ebuild.sh, line 1615:   Called dyn_compile
  ebuild.sh, line 972:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  pgadmin3-1.6.3.ebuild, line 46:   Called econf '--with-wx-config=//usr/bin/wxgtk2u-2.4-config' '--with-wx-version=2.8'
  ebuild.sh, line 578:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-db/pgadmin3-1.6.3/temp/build.log'.

Using wxGTK 2.8.4

Thanks
Comment 25 Luca 2007-06-13 14:30:03 UTC
WxGTK is built with unicode flag.

emerge --info:
gentoobox wxGTK # emerge --info
Portage 2.1.2.7 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.5-r2, 2.6.20-gentoo-r8 i686)
=================================================================
System uname: 2.6.20-gentoo-r8 i686 Intel(R) Pentium(R) M processor 1500MHz
Gentoo Base System release 1.12.9
Timestamp of tree: Wed, 13 Jun 2007 13:00:02 +0000
ccache version 2.4 [disabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.3.5-r3, 2.4.4-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r7
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://www.die.unipd.it/pub/Linux/distributions/gentoo-sources/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/"
LANG="it_IT.UTF-8"
LINGUAS="it"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/gentoo-gis /usr/portage/local/layman/xeffects"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa apache2 asf berkdb bitmap-fonts branding cairo cdr cli cracklib crypt cups dbus dri dvd emboss encode esd fam firefox fortran gdal gdbm geos gif gnome gpm gstreamer gtk hal iconv ipod ipv6 isdnlog jpeg ldap libg++ mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly nvidia ogg opengl openmp oss pam pcre perl png ppds pppd proj python qt4 quicktime readline reflection scanner sdl session spell spl ssl tcpd truetype truetype-fonts type1-fonts unicode usb vorbis win32codecs x86 xml xorg xv zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 26 Federico Fissore 2007-06-13 14:36:49 UTC
(In reply to comment #25)
> WxGTK is built with unicode flag.

you must apply the patch supplied here
http://bugs.gentoo.org/attachment.cgi?id=105607
(from bug #145884)
Comment 27 Federico Fissore 2007-06-21 16:09:52 UTC
as per comment 59 on bug #145884, removing -fvisibility-inlines-hidden from CXXFLAG makes the ebuild emerge and pgadmin3 work correctly

at last...
Comment 28 Jakub Moc (RETIRED) gentoo-dev 2007-07-25 11:45:50 UTC
*** Bug 186573 has been marked as a duplicate of this bug. ***
Comment 29 Jakub Moc (RETIRED) gentoo-dev 2007-07-25 12:44:09 UTC
*** Bug 186581 has been marked as a duplicate of this bug. ***
Comment 30 Federico Fissore 2007-07-26 07:19:01 UTC
Created attachment 126041 [details]
pgadmin3-1.8.2.ebuild
Comment 31 Jakub Moc (RETIRED) gentoo-dev 2007-08-07 06:12:14 UTC
*** Bug 187969 has been marked as a duplicate of this bug. ***
Comment 32 Jakub Moc (RETIRED) gentoo-dev 2007-10-26 09:38:43 UTC
*** Bug 197114 has been marked as a duplicate of this bug. ***
Comment 33 Jakub Moc (RETIRED) gentoo-dev 2007-12-19 06:23:46 UTC
Reopen as wxGTK-2.8 is finally in the tree.
Comment 34 Tavin Cole 2007-12-21 17:22:53 UTC
latest ebuild works for me, after changing the filename to pgadmin3-1.8.0.ebuild.  the underscores in context menus appear before the shortcut characters instead of under them.  also, some input textboxes have the top halves cut off, such as the password dialog when connecting to a server.  works great otherwise.

wxGTK-2.8.7.1

Portage 2.1.3.19 (default-linux/x86/2007.0/desktop, gcc-3.4.6, glibc-2.3.6-r5, 2.6.22-gentoo i686)
Comment 35 Disaster 2008-01-16 17:00:53 UTC
pgadmin3-1.8.0_beta1.ebuild works also for 1.8.1
Comment 36 BTJ 2008-01-30 14:55:29 UTC
Yes, 1.8.0_beta_1.ebuild works ok for 1.8.1 for me too...

BTJ
Comment 37 robert walter 2008-02-12 13:24:44 UTC
..and works with 1.8.2 here too :)
thanks!

Portage 2.1.3.19 (default-linux/amd64/2006.1/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-tuxonice-r9-std x86_64)
Comment 38 Peter Große 2008-02-13 02:37:48 UTC
yeah, works too... now. ;)

Portage 2.1.4.3 (default-linux/amd64/2007.0, gcc-4.2.2, glibc-2.7-r1, 2.6.24-gentoo-r2 x86_64)

But after emerging, pgadmin3 didn't start properly. It hung at the splash screen. This was caused by a message box hidden behind the splash screen.
With the same message like found in ~/pgadmin.log:

"Can not enumerate files in directory '/usr/share/mimelnk' (Error 13: Permission denied)"

Permissions were:
drwx------  root  root   /usr/share/mimelnk

A simple 
  chmod go+rX /usr/share/mimelnk
did the trick.

I'm not sure but I think it's somehow related to bug 141619.

Should this ebuild check or set the directories permissions?

I could reproduce this behavior on 3 machines (2x x86, 1x ~amd64).
Comment 39 Mark 2008-03-02 14:09:07 UTC
(In reply to comment #38)
> But after emerging, pgadmin3 didn't start properly. It hung at the splash
> screen. This was caused by a message box hidden behind the splash screen.
> With the same message like found in ~/pgadmin.log:
> 
> "Can not enumerate files in directory '/usr/share/mimelnk' (Error 13:
> Permission denied)"
> 
> Permissions were:
> drwx------  root  root   /usr/share/mimelnk
> 
> A simple 
>   chmod go+rX /usr/share/mimelnk
> did the trick.

on my computer permissions were right already, so I cannot confirm this error.
ebuild and pgadmin3-1.8.2 itself are working fine with wxGTK-2.8.7.1-r1 on amd64
Comment 40 Andreas Prieß 2008-03-02 17:51:13 UTC
pgadmin3-1.8.2.ebuild works for me with postgresql / libpq-8.2.6.

Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-hardened-r7 i686

There's just one thing to consider maybe:
Installation Instructions for the 1.8 branch of pgadmin state the following:
"You will need: ... PostgreSQL 8.1 or above."
http://svn.pgadmin.org/cgi-bin/viewcvs.cgi/branches/REL-1_8_0_PATCHES/pgadmin3/INSTALL?view=markup

But in the ebuild we have DEPEND >=dev-db/libpq-8 instead of >=dev-db/libpq-8.1
I don't know whether it really matters, I did't test it with postgresql 8.0.
Comment 41 Pol 2008-03-13 14:24:53 UTC
The ebuild of the 1.8.2 compile fine on my system. FINALLY !!!
polymedix pgadmin3 # emerge --info
Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.7-r1, 2.6.24-gentoo-r2-polymedis-k7 i686)
=================================================================
System uname: 2.6.24-gentoo-r2-polymedis-k7 i686 AMD Athlon(tm) 64 Processor 3400+
Timestamp of tree: Thu, 13 Mar 2008 09:17:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.4.4-r4, 2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -msse2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon-xp -O2 -msse2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache digest distlocks fixpackages metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ http://mirror.ovh.net/gentoo-distfiles/ ftp://mirror.ovh.net/gentoo-distfiles/ http://gentoo.modulix.net/gentoo/ http://ftp.club-internet.fr/pub/mirrors/gentoo ftp://gentoo.imj.fr/pub/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ "
LANG="en_GB.ISO-8859-1"
LINGUAS="en en_GB fr"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac acl acpi alsa amr aoss apache2 apm asf berkdb blender-game bluetooth bzip2 cdrom cjk cli cpudetection cracklib crypt ctype cups curl cursors dba dbus dri dvd encode exif extras ffmpeg foomaticdb fortran ftp gcj gd gdbm gif gphoto2 gpm gs gtk hal icecast iconv imagemagick imap imlib ipv6 irda irmc isdnlog java jpeg kde kdm kqemu lcms lm_sensors mad madwifi memlimit midi mmx mmx2 mmxext mng mozdevelop mp2 mp3 mpeg4 mplayer msn mssql mudflap musicbrainz mysql ncurses nls nptl nptlonly nsplugin ntlm odbc ogg openal openexr opengl openmp oss pam pcre pdf perl php png postgres postscript python qt3 qt3support qt4 quicktime rar rdesktop readline real reflection samba scenarios session simplexml slang sockets spl sql sqlite sqlite3 sse sse2 ssl svg svgz symlink tcltk tcpd tetex theora tiff tk tokenizer truetype unicode usb userlocales v4l v4l2 vidix vorbis widescreen wifi win32codecs winbind wmf wmp wxwindows x86 xcomposite xine xinerama xml xmldoclet xmlreader xmlrpc xmlwriter xorg xosd xpm xscreensaver xv xvid zeroconf zip zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptic" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB fr" USERLAND="GNU" VIDEO_CARDS="vesa fbdev vmware nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

polymedix pgadmin3 #                               
Comment 42 Pol 2008-03-13 15:11:23 UTC
Sorry, mistake !

Pgadmin3 compiles fine but when I run it, I only have the blue logo, then nothing... the blue logo of pgadmins remains in the middle of the screen and the program doesn't load.
There are no error in the console when I run it !
What can I do to help in here?

(In reply to comment #41)
> The ebuild of the 1.8.2 compile fine on my system. FINALLY !!!
> polymedix pgadmin3 # emerge --info
> Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.7-r1,
> 2.6.24-gentoo-r2-polymedis-k7 i686)
> =================================================================
> System uname: 2.6.24-gentoo-r2-polymedis-k7 i686 AMD Athlon(tm) 64 Processor
> 3400+
> Timestamp of tree: Thu, 13 Mar 2008 09:17:01 +0000
> app-shells/bash:     3.2_p33
> dev-java/java-config: 1.3.7, 2.1.4
> dev-lang/python:     2.4.4-r4, 2.5.1-r5
> dev-python/pycrypto: 2.0.1-r6
> sys-apps/baselayout: 1.12.11.1
> sys-apps/sandbox:    1.2.18.1-r2
> sys-devel/autoconf:  2.13, 2.61-r1
> sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
> sys-devel/binutils:  2.18-r1
> sys-devel/gcc-config: 1.4.0-r4
> sys-devel/libtool:   1.5.26
> virtual/os-headers:  2.6.24
> ACCEPT_KEYWORDS="x86 ~x86"
> CBUILD="i686-pc-linux-gnu"
> CFLAGS="-march=athlon-xp -O2 -msse2 -fomit-frame-pointer -pipe"
> CHOST="i686-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
> /usr/kde/3.5/shutdown /usr/share/config"
> CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf
> /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
> /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo
> /etc/texmf/web2c /etc/udev/rules.d"
> CXXFLAGS="-march=athlon-xp -O2 -msse2 -fomit-frame-pointer -pipe"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="ccache digest distlocks fixpackages metadata-transfer sandbox sfperms
> strict unmerge-orphans userfetch"
> GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/
> ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/
> http://mirror.ovh.net/gentoo-distfiles/ ftp://mirror.ovh.net/gentoo-distfiles/
> http://gentoo.modulix.net/gentoo/
> http://ftp.club-internet.fr/pub/mirrors/gentoo ftp://gentoo.imj.fr/pub/gentoo/
> ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ "
> LANG="en_GB.ISO-8859-1"
> LINGUAS="en en_GB fr"
> MAKEOPTS="-j2"
> PKGDIR="/usr/portage/packages"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
> --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
> --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
> USE="3dnow 3dnowext 7zip X a52 aac acl acpi alsa amr aoss apache2 apm asf
> berkdb blender-game bluetooth bzip2 cdrom cjk cli cpudetection cracklib crypt
> ctype cups curl cursors dba dbus dri dvd encode exif extras ffmpeg foomaticdb
> fortran ftp gcj gd gdbm gif gphoto2 gpm gs gtk hal icecast iconv imagemagick
> imap imlib ipv6 irda irmc isdnlog java jpeg kde kdm kqemu lcms lm_sensors mad
> madwifi memlimit midi mmx mmx2 mmxext mng mozdevelop mp2 mp3 mpeg4 mplayer msn
> mssql mudflap musicbrainz mysql ncurses nls nptl nptlonly nsplugin ntlm odbc
> ogg openal openexr opengl openmp oss pam pcre pdf perl php png postgres
> postscript python qt3 qt3support qt4 quicktime rar rdesktop readline real
> reflection samba scenarios session simplexml slang sockets spl sql sqlite
> sqlite3 sse sse2 ssl svg svgz symlink tcltk tcpd tetex theora tiff tk tokenizer
> truetype unicode usb userlocales v4l v4l2 vidix vorbis widescreen wifi
> win32codecs winbind wmf wmp wxwindows x86 xcomposite xine xinerama xml
> xmldoclet xmlreader xmlrpc xmlwriter xorg xosd xpm xscreensaver xv xvid
> zeroconf zip zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop
> empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi
> null plug rate route share shm softvol" APACHE2_MODULES="actions alias
> auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm
> authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache
> dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache
> filter headers include info log_config logio mem_cache mime mime_magic
> negotiation rewrite setenvif speling status unique_id userdir usertrack
> vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptic"
> KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001
> mtxorb ncurses text" LINGUAS="en en_GB fr" USERLAND="GNU" VIDEO_CARDS="vesa
> fbdev vmware nv nvidia"
> Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS,
> PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS,
> PORTDIR_OVERLAY
> 
> polymedix pgadmin3 #                               
> 

Comment 43 Peter Große 2008-03-13 15:32:57 UTC
(In reply to comment #42)
> Sorry, mistake !
> 
> Pgadmin3 compiles fine but when I run it, I only have the blue logo, then
> nothing... the blue logo of pgadmins remains in the middle of the screen and
> the program doesn't load.
> There are no error in the console when I run it !
> What can I do to help in here?

Like I wrote in comment #38 I had the same experience.

Check the permissions of /usr/share/mimelnk. It should be readable by all users.
That solved the problem for me.

There should be a logfile named pgadmin.log in your home directory. Check for corresponding error messages there.
Comment 44 Pol 2008-03-13 15:56:29 UTC
Ho thanks it's working now :) Didn't saw that before!

(In reply to comment #43)
> (In reply to comment #42)
> > Sorry, mistake !
> > 
> > Pgadmin3 compiles fine but when I run it, I only have the blue logo, then
> > nothing... the blue logo of pgadmins remains in the middle of the screen and
> > the program doesn't load.
> > There are no error in the console when I run it !
> > What can I do to help in here?
> 
> Like I wrote in comment #38 I had the same experience.
> 
> Check the permissions of /usr/share/mimelnk. It should be readable by all
> users.
> That solved the problem for me.
> 
> There should be a logfile named pgadmin.log in your home directory. Check for
> corresponding error messages there.
> 

Comment 45 Marcel Pennewiß 2008-04-09 23:41:23 UTC
(In reply to comment #43)
> Check the permissions of /usr/share/mimelnk. It should be readable by all
> users.
> That solved the problem for me.

It solved the problem also for me (~amd64).
Comment 46 Dennis 2008-04-10 23:19:07 UTC
can you please add this to portage??? I have been waiting for this like last 2 years - seriously.
Comment 47 M. Edward Borasky 2008-04-11 05:08:04 UTC
Is this in an overlay somewhere?
Comment 48 Vladimir Lushnikov 2008-05-07 20:26:55 UTC
What is the reason for holding this back from ~arch? wxGTK-2.8 is in the tree now, after all.
Comment 49 Tiziano Müller gentoo-dev 2008-05-19 19:11:55 UTC
Finally done.
Comment 50 Kent Fredric (IRC: kent\n) gentoo-dev 2008-05-27 05:48:29 UTC
Yay. finally a linux distro that has a recent version of this as recent as windows. Many thanks. we bet debian to the punch. 

( seriously, why this took so long to get working 'officially' has imo been a bit of an embarrassment  ) 

Thanks for finally getting this girl goin' :)
 
Comment 51 Tiziano Müller gentoo-dev 2008-05-30 11:51:43 UTC
*** Bug 224119 has been marked as a duplicate of this bug. ***
Comment 52 carlo cancellieri 2008-07-03 11:19:06 UTC
@ Federico Fissore
you should add a 
'chmod +r /usr/share/mimelnk/'
to the install section...

Are there any discouragement or security issue?
Thank you, bye.
Comment 53 Federico Fissore 2008-07-03 12:59:03 UTC
(In reply to comment #52)
> @ Federico Fissore
> you should add a 
> 'chmod +r /usr/share/mimelnk/'
> to the install section...

Hi

since the ebuild has finally reached the main portage tree, I think you should open a new ticket and request the gentoo developers to fix the ebuild file as you suggested (I'm not a gentoo dev so I cannot do what you have requested)

Bye
Comment 54 Czeryna Karol 2009-06-16 19:54:04 UTC
Created attachment 194927 [details]
version bump

Here is my ebuild for the latest pgadmin3 release :)
For me works.